All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
bisect_large.hpp File Reference

Computation of eigenvalues of a large symmetric, tridiagonal matrix. More...

`#include <iostream>`
`#include <iomanip>`
`#include <stdlib.h>`
`#include <stdio.h>`
`#include "viennacl/linalg/detail/bisect/config.hpp"`
`#include "viennacl/linalg/detail/bisect/structs.hpp"`
`#include "viennacl/linalg/detail/bisect/bisect_kernel_calls.hpp"`

Go to the source code of this file.

## Namespaces

| viennacl
| Main namespace in ViennaCL. Holds all the basic types such as vector, matrix, etc. and defines operations upon them.
| viennacl::linalg
| Provides all linear algebra operations which are not covered by operator overloads.
| viennacl::linalg::detail
| Namespace holding implementation details for linear algebra routines. Usually not of interest for a library user.

## Functions

template<typename NumericT >
void | viennacl::linalg::detail::computeEigenvaluesLargeMatrix (InputData< NumericT > &input, ResultDataLarge< NumericT > &result, const unsigned int mat_size, const NumericT lg, const NumericT ug, const NumericT precision)
template<typename NumericT >
bool | viennacl::linalg::detail::processResultDataLargeMatrix (ResultDataLarge< NumericT > &result, const unsigned int mat_size)

## Detailed Description

Computation of eigenvalues of a large symmetric, tridiagonal matrix.

Implementation based on the sample provided with the CUDA 6.0 SDK, for which the creation of derivative works is allowed by including the following statement: "This software contains source code provided by NVIDIA Corporation."

Definition in file bisect_large.hpp.